KSMBD.ADDSHARE(8)

NAME
ksmbd.addshare - Adds, updates or removes (-a/-u/-d) a net share from smb.conf file.

SYNOPSIS
ksmbd.addshare

DESCRIPTION

-a | --add-share=share

-d | --del-share=share

-u | --update-share=share

-o | --options="op1=val1 op2=val2..."

-c smb.conf

-V | --version

-v | --verbose

  Supported share options:

    comment, path, guest ok, guest account, read only, browseable, write ok, writeable, store dos attributes, oplocks, create mask, directory mask, force create mode, force directory mode, force group, force user, hide dot files, valid users, invalid users, read list, write list, admin users, hosts allow, hosts deny, max connections, veto files, inherit owner, follow symlinks, vfs objects